Loading...
Searching...
No Matches
lmdb::fatal_error Class Reference

Base class for fatal error conditions. More...

`#include <lmdb++.h>`

Inheritance diagram for lmdb::fatal_error:

## Public Member Functions

| error (const char *const origin, const int rc) noexcept
| Constructor.
Public Member Functions inherited from lmdb::error
| error (const char *const origin, const int rc) noexcept
| Constructor.
int | code () const noexcept
| Returns the underlying LMDB error code.
const char * | origin () const noexcept
| Returns the origin of the LMDB error.
virtual const char * | what () const noexcept
| Returns the underlying LMDB error code.

## Additional Inherited Members

Static Public Member Functions inherited from lmdb::error
static void | raise (const char *origin, int rc)
| Throws an error based on the given LMDB return code.
Protected Attributes inherited from lmdb::error
const int | _code

## Detailed Description

Base class for fatal error conditions.

## Member Function Documentation

## error()

lmdb::error::error | ( | const char *const | origin,
|  | const int | rc
| ) |  |

inline noexcept

Constructor.

The documentation for this class was generated from the following file:

- lmdb++.h